// (C) 1997,   Andreas Hirczy <ahi@sbox.tu-graz.ac.at> 



#include <iostream.h>

#include "particle.hh"

int main()
{
  Particle::time_step=1.0/25;

  long particle_upper       = 0;
  const long particle_inc   = 100;
  const long particle_max   = 20000;
  Particle particle[particle_max];  // better use a list

  for(int step = 0; step<=170; step++)
    {
      // increase number of particles
      particle_upper += particle_inc;
      if (particle_upper >=particle_max)
	{
	  particle_upper = particle_max-1;
	}

      // iterate over all particles
      cerr << '.';
      for(int index = 0; index < particle_upper; index++)
	{
	  particle[index].Next();
	}
    }
  cerr << '\n';
  
  // produce output after all timesteps
  for(int index = 0; index < particle_upper; index++)
    {
      cout << particle[index];
    }
}
