#include "colors.inc"
#include "textures.inc"

camera {
	location  <0,  2, -60>
	direction <0,  0, 1>
	right     <9,  0, 0>
	up        <0, 16, 0>
	look_at   <0, 25, 0>
	angle 35
}

light_source { <-15, 60, -25> color rgb<1, 1, 1>}
//light_source { < 15, 60, -25> color rgb<1, 1, 1>}


// something to reflect
box{ <-5, 0, -40>,<5, 100, -41>
	texture {
		pigment{White}
		finish{ambient 1.0}
	}
	rotate <0, 30, 0>
}

box{ <-5, 0, -40>,<5, 100, -41>
	texture {
		pigment{Gray70}
		finish{ambient 1.0}
	}
	rotate <0, -45, 0>
}


// Ground
plane {
   y, 0

   texture {
      pigment {
	colour Aquamarine
      }
      finish {
        reflection 0.5
        ambient 0.1
        diffuse 0.8
      }
   }
}

#include "particles.inc"

