#!/usr/bin/perl -w
# (C) 1997,   Andreas Hirczy <ahi@sbox.tu-graz.ac.at> 


# better using command line parameters?
$threshold = 0.6;
$radius    = 0.5;
$strength  = 1;
$texture   = "Polished_Chrome";

# not really good; is there a MAX_FLOAT, MIN_FLOAT in perl?
$x_max = 0;
$x_min = 0;
$y_max = 0;
$y_min = 0;
$z_max = 0;
$z_min = 0;


print "// file produced by \"to_blob.pl\"\n";
print "// (C) 1997,  Andreas Hirczy <ahi\@sbox.tu-graz.ac.at>\n";
print "blob {\n";
print "\tthreshold $threshold\n\n";

#read first line
$line = <STDIN>;

while (defined $line) {
    # process and gather staistics
    ($x, $y, $z) = split(/\s+/, $line, 4);
    if ($x < $x_min) { $x_min = $x }
    if ($x > $x_max) { $x_max = $x }
    if ($y < $y_min) { $y_min = $y }
    if ($y > $y_max) { $y_max = $y }
    if ($z < $z_min) { $z_min = $z }
    if ($z > $z_max) { $z_max = $z }

    # output to POV format
    print "\tsphere {<$x, $z, $y>, $radius, $strength}\n";

    # read new line
    $line = <STDIN>;
};

print "\n";
print "\ttexture{ $texture }\n";
print "\n";
print "//\tBounding box:\n";
printf "//\tx_min = %10.4f\tx_max = %10.4f\n", $x_min, $x_max;
printf "//\ty_min = %10.4f\ty_max = %10.4f\n", $z_min, $z_max;
printf "//\tz_min = %10.4f\tz_max = %10.4f\n", $y_min, $y_max;
print "\n";
print "}\n";
